For the complete documentation index, see llms.txt. This page is also available as Markdown.

Knowledge Base

User related APIs

지식베이스 노드 이동

post
/webapi/v2/knowledge_base_nodes/move/bulk

Move multiple knowledge base documents and/or folders to a target folder in bulk.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
targetFolderIdstring · nullableRequired

The target folder ID of the knowledge base node

nodeIdsstring[]Required

The node IDs of the knowledge base node

keepCurrentPermissionbooleanRequired

The keep current permission of the knowledge base node

Responses
200

알겠습니다.

application/json
moved_kb_node_idsstring[]Required

Moved knowledge base node IDs

failed_kb_node_idsstring[]Required

Failed knowledge base node IDs

post/webapi/v2/knowledge_base_nodes/move/bulk
POST /webapi/v2/knowledge_base_nodes/move/bulk HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "targetFolderId": "text",
  "nodeIds": [
    "text"
  ],
  "keepCurrentPermission": true
}
{
  "moved_kb_node_ids": [
    "text"
  ],
  "failed_kb_node_ids": [
    "text"
  ]
}

지식베이스 노드 업로드

post
/webapi/v2/knowledge_base_nodes/upload

Upload a file to the knowledge base. Supports access control, hashtag tagging, folder targeting, and ingestion options like OCR and layout analysis.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
fileNamestringRequired

지식베이스의 파일 이름

hashtagsstring[] · nullableOptional

지식베이스의 해시태그

targetFolderIdstring · nullableOptional

지식베이스의 대상 폴더 ID

isOverwriteFolderAccessboolean · nullableOptional

지식베이스의 덮어쓰기 폴더 접근 플래그

Default: false
isOverwritebooleanOptional

If true and a document with the same file name already exists in the target folder, overwrite it with the uploaded file instead of creating a suffixed copy. Identical files (same name, size, and content) are always skipped regardless of this flag. Not applied to ZIP uploads: each extracted entry is always created fresh under a new folder.

Default: false
viewAccessToAgentboolean · nullableOptional

지식베이스의 에이전트 플래그 보기 접근 권한

Default: false
viewAccessToUserboolean · nullableOptional

지식베이스의 유저 플래그 보기 권한

Default: false
useLayoutboolean · nullableOptional

Whether to use layout processing for improved document ingestion. Only used if project allows this feature.

Default: true
useImageDescriptionboolean · nullableOptional

Whether to use image description for improved document ingestion. Only used if project allows this feature.

Default: true
useOcrboolean · nullableOptional

Whether to use OCR for document processing

Default: false
filestring · binaryRequired
Responses
200

알겠습니다.

application/json
resultany ofRequired

Knowledge base node

or
post/webapi/v2/knowledge_base_nodes/upload
POST /webapi/v2/knowledge_base_nodes/upload HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 558

{
  "fileName": "text",
  "hashtags": [
    "text"
  ],
  "targetFolderId": "text",
  "isOverwriteFolderAccess": false,
  "isOverwrite": false,
  "accessPermissionGroups": [
    {
      "permissionGroupId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessAgents": [
    {
      "agentId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessUserFilters": [
    {
      "variableName": "CUSTOMER_ID",
      "value": "text"
    }
  ],
  "viewAccessToAgent": false,
  "viewAccessToUser": false,
  "useLayout": true,
  "useImageDescription": true,
  "useOcr": false,
  "properties": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "notificationHooks": [
    "email_on_ingestion_complete"
  ],
  "file": "binary"
}
[
  {
    "result": {
      "id": "text",
      "name": "text",
      "createdAt": 1,
      "createdBy": {
        "id": "text",
        "email": "text",
        "firstName": "text",
        "lastName": "text"
      },
      "updatedAt": 1,
      "nodeType": "text",
      "parentFolder": {
        "id": "text",
        "name": "text"
      },
      "breadcrumbs": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "agentPermission": {
        "accessAgents": [
          {
            "agentId": "text",
            "accessType": "order_1_editor"
          }
        ],
        "accessPermissionGroups": [
          {
            "permissionGroupId": "text",
            "permissionGroupName": "text",
            "accessType": "order_1_editor"
          }
        ],
        "viewAccessToAgent": true
      },
      "userPermission": {
        "ownUserIds": [
          "text"
        ],
        "customerGroups": [
          "text"
        ],
        "viewAccessToUser": true
      }
    }
  }
]

AWS S3에서 업로드

post
/webapi/v2/knowledge_base_nodes/upload_from_aws_s3

S3에서 문서 업로드

이 API를 사용하면 S3에 저장된 문서를 Cognitive Search로 전송할 수 있습니다. 대시보드에 지식베이스 문서로 나타납니다. 사용 가능한 파일 형식은 문서 업로드 섹션과 동일합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body

S3에서 파일 업로드 요청 모델.

fileNamestringRequired

지식베이스의 파일 이름

hashtagsstring[] · nullableOptional

지식베이스의 해시태그

targetFolderIdstring · nullableOptional

지식베이스의 대상 폴더 ID

isOverwriteFolderAccessboolean · nullableOptional

지식베이스의 폴더 덮어쓰기 접근 플래그

Default: false
isOverwritebooleanOptional

If true and a document with the same file name already exists in the target folder, overwrite it with the uploaded file instead of creating a suffixed copy. Identical files (same name, size, and content) are always skipped regardless of this flag. Not applied to ZIP uploads: each extracted entry is always created fresh under a new folder.

Default: false
viewAccessToAgentboolean · nullableOptional

지식베이스의 에이전트 플래그 보기 권한

Default: false
viewAccessToUserboolean · nullableOptional

지식베이스의 유저 플래그에 대한 보기 액세스

Default: false
useLayoutboolean · nullableOptional

Whether to use layout processing for improved document ingestion. Only used if project allows this feature.

Default: true
useImageDescriptionboolean · nullableOptional

Whether to use image description for improved document ingestion. Only used if project allows this feature.

Default: true
useOcrboolean · nullableOptional

Whether to use OCR for document processing

Default: false
bucketObjectPathstringRequired

파일의 버킷 객체 경로

awsSecretKeystring · nullableOptional

귀하의 S3 비밀 키.

awsAccessKeystring · nullableOptional

귀하의 S3 액세스 키.

awsIamRoleArnstring · nullableOptional

액세스를 위한 AWS IAM 역할 ARN

awsExternalIdstring · nullableOptional

AWS IAM 역할의 외부 ID

Responses
200

알겠어

application/json
resultany ofRequired

Knowledge base node

or
post/webapi/v2/knowledge_base_nodes/upload_from_aws_s3
POST /webapi/v2/knowledge_base_nodes/upload_from_aws_s3 HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 658

{
  "fileName": "text",
  "hashtags": [
    "text"
  ],
  "targetFolderId": "text",
  "isOverwriteFolderAccess": false,
  "isOverwrite": false,
  "accessPermissionGroups": [
    {
      "permissionGroupId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessAgents": [
    {
      "agentId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessUserFilters": [
    {
      "variableName": "CUSTOMER_ID",
      "value": "text"
    }
  ],
  "viewAccessToAgent": false,
  "viewAccessToUser": false,
  "useLayout": true,
  "useImageDescription": true,
  "useOcr": false,
  "properties": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "notificationHooks": [
    "email_on_ingestion_complete"
  ],
  "bucketObjectPath": "text",
  "awsSecretKey": "text",
  "awsAccessKey": "text",
  "awsIamRoleArn": "text",
  "awsExternalId": "text"
}
{
  "result": {
    "id": "text",
    "name": "text",
    "createdAt": 1,
    "createdBy": {
      "id": "text",
      "email": "text",
      "firstName": "text",
      "lastName": "text"
    },
    "updatedAt": 1,
    "nodeType": "text",
    "parentFolder": {
      "id": "text",
      "name": "text"
    },
    "breadcrumbs": [
      {
        "id": "text",
        "name": "text"
      }
    ],
    "agentPermission": {
      "accessAgents": [
        {
          "agentId": "text",
          "accessType": "order_1_editor"
        }
      ],
      "accessPermissionGroups": [
        {
          "permissionGroupId": "text",
          "permissionGroupName": "text",
          "accessType": "order_1_editor"
        }
      ],
      "viewAccessToAgent": true
    },
    "userPermission": {
      "ownUserIds": [
        "text"
      ],
      "customerGroups": [
        "text"
      ],
      "viewAccessToUser": true
    }
  }
}

Azure Blob에서 업로드

post
/webapi/v2/knowledge_base_nodes/upload_from_azure_blob

Azure Blob Storage에서 문서 업로드

이 API는 Azure Blob Storage에 저장된 문서를 Cognitive Search로 전송할 수 있습니다. 대시보드에 지식 베이스 문서로 표시됩니다. 사용 가능한 파일 형식은 문서 업로드 시 설명했던 내용과 동일합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body

Azure Blob Storage에서 파일 업로드를 위한 요청 모델.

fileNamestringRequired

지식베이스의 파일 이름

hashtagsstring[] · nullableOptional

지식베이스의 해시태그

targetFolderIdstring · nullableOptional

지식베이스의 대상 폴더 ID

isOverwriteFolderAccessboolean · nullableOptional

지식베이스의 덮어쓰기 폴더 접근 플래그

Default: false
isOverwritebooleanOptional

If true and a document with the same file name already exists in the target folder, overwrite it with the uploaded file instead of creating a suffixed copy. Identical files (same name, size, and content) are always skipped regardless of this flag. Not applied to ZIP uploads: each extracted entry is always created fresh under a new folder.

Default: false
viewAccessToAgentboolean · nullableOptional

지식베이스의 에이전트 플래그 보기 권한

Default: false
viewAccessToUserboolean · nullableOptional

지식베이스의 유저 플래그에 대한 보기 권한

Default: false
useLayoutboolean · nullableOptional

Whether to use layout processing for improved document ingestion. Only used if project allows this feature.

Default: true
useImageDescriptionboolean · nullableOptional

Whether to use image description for improved document ingestion. Only used if project allows this feature.

Default: true
useOcrboolean · nullableOptional

Whether to use OCR for document processing

Default: false
containerBlobPathstringRequired

파일이 위치한 Blob 컨테이너 경로

azureConnectionStringstringOptional

유저의 Azure Blob Storage용 연결 문자열.

Responses
200

확인

application/json
resultany ofRequired

Knowledge base node

or
post/webapi/v2/knowledge_base_nodes/upload_from_azure_blob
POST /webapi/v2/knowledge_base_nodes/upload_from_azure_blob HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 600

{
  "fileName": "text",
  "hashtags": [
    "text"
  ],
  "targetFolderId": "text",
  "isOverwriteFolderAccess": false,
  "isOverwrite": false,
  "accessPermissionGroups": [
    {
      "permissionGroupId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessAgents": [
    {
      "agentId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessUserFilters": [
    {
      "variableName": "CUSTOMER_ID",
      "value": "text"
    }
  ],
  "viewAccessToAgent": false,
  "viewAccessToUser": false,
  "useLayout": true,
  "useImageDescription": true,
  "useOcr": false,
  "properties": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "notificationHooks": [
    "email_on_ingestion_complete"
  ],
  "containerBlobPath": "text",
  "azureConnectionString": "text"
}
{
  "result": {
    "id": "text",
    "name": "text",
    "createdAt": 1,
    "createdBy": {
      "id": "text",
      "email": "text",
      "firstName": "text",
      "lastName": "text"
    },
    "updatedAt": 1,
    "nodeType": "text",
    "parentFolder": {
      "id": "text",
      "name": "text"
    },
    "breadcrumbs": [
      {
        "id": "text",
        "name": "text"
      }
    ],
    "agentPermission": {
      "accessAgents": [
        {
          "agentId": "text",
          "accessType": "order_1_editor"
        }
      ],
      "accessPermissionGroups": [
        {
          "permissionGroupId": "text",
          "permissionGroupName": "text",
          "accessType": "order_1_editor"
        }
      ],
      "viewAccessToAgent": true
    },
    "userPermission": {
      "ownUserIds": [
        "text"
      ],
      "customerGroups": [
        "text"
      ],
      "viewAccessToUser": true
    }
  }
}

지식베이스 노드

post
/webapi/v2/knowledge_base_nodes/search

Search and list knowledge base documents and folders with filtering, ordering, and cursor-based pagination.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
orderstring · enumOptionalPossible values:
limitintegerOptional

The limit of the knowledge base node

Default: 10
afterstring · nullableOptional

The after of the knowledge base node

offsetinteger · nullableOptional

The offset of the knowledge base node

Responses
200

좋아요

application/json
post/webapi/v2/knowledge_base_nodes/search
POST /webapi/v2/knowledge_base_nodes/search HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1183

{
  "filter_": {
    "parentFolderIds": [
      "text"
    ],
    "searchTerm": "text",
    "hashtags": [
      "text"
    ],
    "hashtagsSearchOperator": "text",
    "combinedHashtags": [
      [
        "text"
      ]
    ],
    "combinedHashtagsOperator": "text",
    "excludingHashtags": [
      "text"
    ],
    "excludingHashtagsSearchOperator": "text",
    "processState": [
      "initializing"
    ],
    "status": [
      "on"
    ],
    "nodeType": [
      "file"
    ],
    "knowledgeBaseIds": [
      "text"
    ],
    "folderIds": [
      "text"
    ],
    "ownership": [
      "personal"
    ],
    "ancestorIds": [
      "text"
    ],
    "hasFaqCandidates": true,
    "sourceTypes": [
      "onedrive"
    ],
    "facetConditions": [
      {
        "attribute": "text",
        "comparator": "eq",
        "value": "text"
      }
    ],
    "latestVersionOnly": true
  },
  "filter": {
    "parentFolderIds": [
      "text"
    ],
    "searchTerm": "text",
    "hashtags": [
      "text"
    ],
    "hashtagsSearchOperator": "text",
    "combinedHashtags": [
      [
        "text"
      ]
    ],
    "combinedHashtagsOperator": "text",
    "excludingHashtags": [
      "text"
    ],
    "excludingHashtagsSearchOperator": "text",
    "processState": [
      "initializing"
    ],
    "status": [
      "on"
    ],
    "nodeType": [
      "file"
    ],
    "knowledgeBaseIds": [
      "text"
    ],
    "folderIds": [
      "text"
    ],
    "ownership": [
      "personal"
    ],
    "ancestorIds": [
      "text"
    ],
    "hasFaqCandidates": true,
    "sourceTypes": [
      "onedrive"
    ],
    "facetConditions": [
      {
        "attribute": "text",
        "comparator": "eq",
        "value": "text"
      }
    ],
    "latestVersionOnly": true
  },
  "order": "updated_at_desc",
  "limit": 10,
  "after": "text",
  "offset": 1
}
{
  "result": {
    "nodes": [
      {
        "id": "text",
        "name": "text",
        "createdAt": 1,
        "createdBy": {
          "id": "text",
          "email": "text",
          "firstName": "text",
          "lastName": "text"
        },
        "updatedAt": 1,
        "nodeType": "text",
        "parentFolder": {
          "id": "text",
          "name": "text"
        },
        "breadcrumbs": [
          {
            "id": "text",
            "name": "text"
          }
        ],
        "agentPermission": {
          "accessAgents": [
            {
              "agentId": "text",
              "accessType": "order_1_editor"
            }
          ],
          "accessPermissionGroups": [
            {
              "permissionGroupId": "text",
              "permissionGroupName": "text",
              "accessType": "order_1_editor"
            }
          ],
          "viewAccessToAgent": true
        },
        "userPermission": {
          "ownUserIds": [
            "text"
          ],
          "customerGroups": [
            "text"
          ],
          "viewAccessToUser": true
        }
      }
    ],
    "cursor": "text",
    "totalFileCount": 1,
    "totalFolderCount": 1
  }
}

콘텐츠 검색

post
/webapi/v2/knowledge_base_nodes/content_search

Full-text search across knowledge base document contents. Returns matching documents with cursor-based pagination.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
searchTermstringRequired

The search term of the knowledge base node

limitintegerOptional

The limit of the knowledge base node

Default: 10
afterstring · nullableOptional

The after of the knowledge base node

folderIdsstring[] · nullableOptional

The folder IDs of the knowledge base node

searchScopestring · enumOptionalPossible values:
Responses
200

알겠습니다.

application/json
post/webapi/v2/knowledge_base_nodes/content_search
POST /webapi/v2/knowledge_base_nodes/content_search HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "searchTerm": "text",
  "limit": 10,
  "after": "text",
  "folderIds": [
    "text"
  ],
  "searchScope": "both"
}
{
  "result": {
    "nodes": [
      {
        "id": "text",
        "name": "text",
        "createdAt": 1,
        "createdBy": {
          "id": "text",
          "email": "text",
          "firstName": "text",
          "lastName": "text"
        },
        "updatedAt": 1,
        "nodeType": "text",
        "parentFolder": {
          "id": "text",
          "name": "text"
        },
        "breadcrumbs": [
          {
            "id": "text",
            "name": "text"
          }
        ],
        "agentPermission": {
          "accessAgents": [
            {
              "agentId": "text",
              "accessType": "order_1_editor"
            }
          ],
          "accessPermissionGroups": [
            {
              "permissionGroupId": "text",
              "permissionGroupName": "text",
              "accessType": "order_1_editor"
            }
          ],
          "viewAccessToAgent": true
        },
        "userPermission": {
          "ownUserIds": [
            "text"
          ],
          "customerGroups": [
            "text"
          ],
          "viewAccessToUser": true
        }
      }
    ],
    "cursor": "text",
    "totalFileCount": 1,
    "totalFolderCount": 1
  }
}

Page Content Search

post
/webapi/v2/knowledge_base_nodes/page_content_search

Search within document pages and return matching text with page numbers. Supports hashtag filtering and same-page merging.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
searchTermsstring[]Required

The search terms for page content search

folderIdsstring[] · nullableOptional

The folder IDs to search within

knowledgeBaseIdsstring[] · nullableOptional

The knowledge base IDs to search within

hashtagsstring[] · nullableOptional

The hashtags to filter by

hashtagsOperatorstringOptional

The hashtags operator (AND/OR)

Default: OR
excludeHashtagsstring[] · nullableOptional

The hashtags to exclude

excludeHashtagsOperatorstringOptional

The exclude hashtags operator (AND/OR)

Default: OR
topNintegerOptional

The number of top results to return

Default: 1
mergeSamePagebooleanOptional

Whether to merge content from the same page

Default: false
Responses
200

OK

application/json

Response model for page content search containing list of page content items with metadata.

post/webapi/v2/knowledge_base_nodes/page_content_search
POST /webapi/v2/knowledge_base_nodes/page_content_search HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 206

{
  "searchTerms": [
    "text"
  ],
  "folderIds": [
    "text"
  ],
  "knowledgeBaseIds": [
    "text"
  ],
  "hashtags": [
    "text"
  ],
  "hashtagsOperator": "OR",
  "excludeHashtags": [
    "text"
  ],
  "excludeHashtagsOperator": "OR",
  "topN": 1,
  "mergeSamePage": false
}
{
  "results": [
    {
      "kbId": "text",
      "title": "text",
      "text": "text",
      "pageNo": 1
    }
  ]
}

지식베이스 노드

get
/webapi/v2/knowledge_base_nodes/{node_id}

Retrieve a single knowledge base document or folder by its global ID.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
node_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

알겠습니다.

application/json
resultany ofRequired

Knowledge base node

or
get/webapi/v2/knowledge_base_nodes/{node_id}
GET /webapi/v2/knowledge_base_nodes/{node_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "id": "text",
    "name": "text",
    "createdAt": 1,
    "createdBy": {
      "id": "text",
      "email": "text",
      "firstName": "text",
      "lastName": "text"
    },
    "updatedAt": 1,
    "nodeType": "text",
    "parentFolder": {
      "id": "text",
      "name": "text"
    },
    "breadcrumbs": [
      {
        "id": "text",
        "name": "text"
      }
    ],
    "agentPermission": {
      "accessAgents": [
        {
          "agentId": "text",
          "accessType": "order_1_editor"
        }
      ],
      "accessPermissionGroups": [
        {
          "permissionGroupId": "text",
          "permissionGroupName": "text",
          "accessType": "order_1_editor"
        }
      ],
      "viewAccessToAgent": true
    },
    "userPermission": {
      "ownUserIds": [
        "text"
      ],
      "customerGroups": [
        "text"
      ],
      "viewAccessToUser": true
    }
  }
}

지식베이스 노드 업데이트

put
/webapi/v2/knowledge_base_nodes/{node_id}

Update a knowledge base document or folder. Supports title, hashtags, access control, and custom properties.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
node_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
titlestring · nullableOptional

The title of the knowledge base node

hashtagsstring[] · nullableOptional

지식베이스 노드의 해시태그

isOverwriteFolderAccessboolean · nullableOptional

The overwrite folder access flag of the knowledge base node

viewAccessToAgentboolean · nullableOptional

The view access to agent flag of the knowledge base node

viewAccessToUserboolean · nullableOptional

The view access to user flag of the knowledge base node

Responses
200

확인

application/json
resultany ofRequired

Knowledge base node

or
put/webapi/v2/knowledge_base_nodes/{node_id}
PUT /webapi/v2/knowledge_base_nodes/{node_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 381

{
  "title": "text",
  "hashtags": [
    "text"
  ],
  "isOverwriteFolderAccess": true,
  "accessPermissionGroups": [
    {
      "permissionGroupId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessAgents": [
    {
      "agentId": "text",
      "accessType": "order_1_editor"
    }
  ],
  "accessUserFilters": [
    {
      "variableName": "CUSTOMER_ID",
      "value": "text"
    }
  ],
  "viewAccessToAgent": true,
  "viewAccessToUser": true,
  "properties": [
    {
      "key": "text",
      "value": "text"
    }
  ]
}
{
  "result": {
    "id": "text",
    "name": "text",
    "createdAt": 1,
    "createdBy": {
      "id": "text",
      "email": "text",
      "firstName": "text",
      "lastName": "text"
    },
    "updatedAt": 1,
    "nodeType": "text",
    "parentFolder": {
      "id": "text",
      "name": "text"
    },
    "breadcrumbs": [
      {
        "id": "text",
        "name": "text"
      }
    ],
    "agentPermission": {
      "accessAgents": [
        {
          "agentId": "text",
          "accessType": "order_1_editor"
        }
      ],
      "accessPermissionGroups": [
        {
          "permissionGroupId": "text",
          "permissionGroupName": "text",
          "accessType": "order_1_editor"
        }
      ],
      "viewAccessToAgent": true
    },
    "userPermission": {
      "ownUserIds": [
        "text"
      ],
      "customerGroups": [
        "text"
      ],
      "viewAccessToUser": true
    }
  }
}

지식베이스 노드 삭제

delete
/webapi/v2/knowledge_base_nodes/{node_id}

Delete a knowledge base document or folder by its global ID.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
node_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

알겠습니다

No content

delete/webapi/v2/knowledge_base_nodes/{node_id}
DELETE /webapi/v2/knowledge_base_nodes/{node_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

Preview Knowledge Base Node

get
/webapi/v2/knowledge_base_nodes/{node_id}/preview

Get preview of a knowledge base node with HTML and PDF information.

Args: request: HTTP request object node_id: Global ID of the knowledge base node page_no: Page number to preview (default: 1)

Returns: KnowledgeBasePreviewResponse containing HTML and PDF preview data

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
node_idstringRequired
Query parameters
page_nointegerOptionalDefault: 1
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

application/json

Response model for knowledge base preview containing HTML and PDF information.

htmlstring · nullableOptional

HTML preview of the knowledge base

pdfUrlstring · nullableOptional

PDF preview of the knowledge base

imageUrlstring · nullableOptional

Image preview of the knowledge base

previewUrlstring · nullableOptional

Preview URL of the knowledge base

totalPreviewCountintegerOptional

Total preview count of the knowledge base

Default: 0
piiMaskedbooleanOptional

Whether the preview is hidden due to PII masking

Default: false
get/webapi/v2/knowledge_base_nodes/{node_id}/preview
GET /webapi/v2/knowledge_base_nodes/{node_id}/preview HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "html": "text",
  "pdfUrl": "text",
  "imageUrl": "text",
  "previewUrl": "text",
  "totalPreviewCount": 0,
  "piiMasked": false
}

Get Knowledge Base Node Text

get
/webapi/v2/knowledge_base_nodes/{node_id}/text

Get text content of a knowledge base node from parsed pages.

Args: request: HTTP request object node_id: Global ID of the knowledge base node limit: Optional maximum number of pages to return offset: Optional number of pages to skip from the beginning

Returns: HttpResponse containing plain text content from KnowledgeBaseParsedPage

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
node_idstringRequired
Query parameters
limitinteger · nullableOptional
offsetinteger · nullableOptional
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

No content

get/webapi/v2/knowledge_base_nodes/{node_id}/text
GET /webapi/v2/knowledge_base_nodes/{node_id}/text HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

Download Knowledge Base Node

get
/webapi/v2/knowledge_base_nodes/{node_id}/download

Download original file of a knowledge base node.

Args: request: HTTP request object node_id: Global ID of the knowledge base node

Returns: FileResponse containing the original file for download

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
node_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

No content

get/webapi/v2/knowledge_base_nodes/{node_id}/download
GET /webapi/v2/knowledge_base_nodes/{node_id}/download HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

폴더 만들기

post
/webapi/v2/folders

Create a new folder with optional parent folder, access control, and permission settings.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
namestring · max: 50Required
parentFolderIdstring · nullableOptional
followParentFolderPermissionboolean · nullableOptionalDefault: false
agentEditorsstring[] · nullableOptional
agentViewersstring[] · nullableOptional
allowOtherAgentsViewbooleanOptionalDefault: true
allowOtherUsersViewbooleanOptionalDefault: true
Responses
200

알겠습니다

application/json
idstringRequired
namestringRequired
createdAtnumberRequired
updatedAtnumberRequired
parentFolderIdstring · nullableOptional
folderSizeinteger · nullableOptional
post/webapi/v2/folders
POST /webapi/v2/folders HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 302

{
  "name": "text",
  "parentFolderId": "text",
  "followParentFolderPermission": false,
  "permissionGroupEditors": [],
  "permissionGroupViewers": [],
  "agentEditors": [
    "text"
  ],
  "agentViewers": [
    "text"
  ],
  "userViewers": {
    "customerIds": [
      "text"
    ],
    "customerGroupIds": [
      "text"
    ]
  },
  "allowOtherAgentsView": true,
  "allowOtherUsersView": true
}
{
  "id": "text",
  "name": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "parentFolderId": "text",
  "folderSize": 1
}

폴더 조회

get
/webapi/v2/folders/{folder_id}

ID로 단일 폴더를 조회하며 폴더 크기 정보를 포함합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
folder_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

application/json
idstringRequired
namestringRequired
createdAtnumberRequired
updatedAtnumberRequired
parentFolderIdstring · nullableOptional
folderSizeinteger · nullableOptional
get/webapi/v2/folders/{folder_id}
GET /webapi/v2/folders/{folder_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "name": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "parentFolderId": "text",
  "folderSize": 1
}

폴더 수정

put
/webapi/v2/folders/{folder_id}

Update a folder's name, access control, and permission settings.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
folder_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
namestring · max: 50Required
agentEditorsstring[] · nullableOptional
agentViewersstring[] · nullableOptional
allowOtherAgentsViewboolean · nullableOptional
allowOtherUsersViewboolean · nullableOptional
Responses
200

좋아요

application/json
idstringRequired
namestringRequired
createdAtnumberRequired
updatedAtnumberRequired
parentFolderIdstring · nullableOptional
folderSizeinteger · nullableOptional
put/webapi/v2/folders/{folder_id}
PUT /webapi/v2/folders/{folder_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "name": "text",
  "permissionGroupEditors": [],
  "permissionGroupViewers": [],
  "agentEditors": [
    "text"
  ],
  "agentViewers": [
    "text"
  ],
  "userViewers": {
    "customerIds": [
      "text"
    ],
    "customerGroupIds": [
      "text"
    ]
  },
  "allowOtherAgentsView": true,
  "allowOtherUsersView": true
}
{
  "id": "text",
  "name": "text",
  "createdAt": 1,
  "updatedAt": 1,
  "parentFolderId": "text",
  "folderSize": 1
}

폴더 삭제

delete
/webapi/v2/folders/{folder_id}

Delete a folder. Optionally move contained documents to the root folder instead of deleting them.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
folder_idstringRequired
Query parameters
move_docs_out_of_folderbooleanOptionalDefault: false
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

No content

delete/webapi/v2/folders/{folder_id}
DELETE /webapi/v2/folders/{folder_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

지식베이스 차분

post
/webapi/v2/knowledge_base_diff

Compare two versions of a knowledge base document and return a line-by-line diff.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
leftIdstringRequired

올바른 지식베이스 ID

rightIdstringRequired

올바른 지식베이스 ID

Responses
200

알겠습니다.

application/json
post/webapi/v2/knowledge_base_diff
POST /webapi/v2/knowledge_base_diff HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 34

{
  "leftId": "text",
  "rightId": "text"
}
{
  "result": [
    {
      "left": {
        "status": "text",
        "page": 1,
        "line": 1,
        "text": "text",
        "highlight": "text"
      },
      "right": {
        "status": "text",
        "page": 1,
        "line": 1,
        "text": "text",
        "highlight": "text"
      },
      "row": 1,
      "comment": "text"
    }
  ]
}

임베딩 상태 조회

get
/webapi/v2/embedding_status

프로젝트의 상태별 임베딩 페이지 수를 반환합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

No content

get/webapi/v2/embedding_status
GET /webapi/v2/embedding_status HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

임베딩 문서 조회

get
/webapi/v2/embedding_status/docs

지식 베이스 문서를 임베딩 상태와 함께 필터 및 페이지네이션하여 조회합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
statusstringOptionalDefault: ""
pageintegerOptionalDefault: 1
searchstringOptionalDefault: ""
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

No content

get/webapi/v2/embedding_status/docs
GET /webapi/v2/embedding_status/docs HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

임베딩 재설정

post
/webapi/v2/embedding_status/reset

파싱된 페이지를 재설정하여 재임베딩합니다. scope='all'은 전체를 재설정하고, scope='failed'는 실패 항목만 재시도합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
scopestringOptionalDefault: all
Responses
200

OK

No content

post/webapi/v2/embedding_status/reset
POST /webapi/v2/embedding_status/reset HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "scope": "all"
}

No content

ES 카운트 조회

get
/webapi/v2/embedding_status/{kb_id}/es-count

지식 베이스 문서가 Elasticsearch에 인덱싱되었는지 확인합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
kb_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

No content

get/webapi/v2/embedding_status/{kb_id}/es-count
GET /webapi/v2/embedding_status/{kb_id}/es-count HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*

No content

Get Ingestion Status

get
/webapi/v2/ingestion_status/{kb_id}

Return DI parsing pipeline status for a knowledge base.

Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
kb_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

OK

application/json
statusstringRequired
startedAtnumber · nullableRequired
endedAtnumber · nullableRequired
elapsedinteger · nullableRequired
get/webapi/v2/ingestion_status/{kb_id}
GET /webapi/v2/ingestion_status/{kb_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "status": "text",
  "startedAt": 1,
  "endedAt": 1,
  "elapsed": 1,
  "steps": [
    {
      "name": "text",
      "subLabel": "text",
      "startedAt": 1,
      "endedAt": 1,
      "status": "text"
    }
  ]
}

파일 이름으로 문서 다운로드

get
/download_document_by_name/{project_id}
Authorizations
API-KEYstringRequired

Your API key for authentication

Path parameters
project_idstringRequired
Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
filenamestringOptional

다운로드할 문서의 이름

Responses
200

문서 파일이 성공적으로 다운로드되었습니다.

application/octet-stream
string · binaryOptional
get/download_document_by_name/{project_id}
GET /download_document_by_name/{project_id} HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "filename": "text"
}
binary

단일 문서 가져오기

get
/webapi/single_document

단일 문서의 모든 상세 정보를 얻는 방법입니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
idstringRequired

The id of the document.

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

문서의 상세 정보를 성공적으로 가져옴

application/json
get/webapi/single_document
GET /webapi/single_document?id=text HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "id": "text",
    "documentName": "text",
    "createdDate": "2026-01-01",
    "hashtags": [
      "text"
    ],
    "agentFeedback": {
      "positiveCount": 1,
      "negativeCount": 1
    },
    "userFeedback": {
      "positiveCount": 1,
      "negativeCount": 1
    }
  }
}

문서 업로드

post
/webapi/upload_file

이 API 메서드는 Cognitive Search를 위해 문서를 업로드할 수 있게 해줍니다. 업로드 가능한 파일 형식: PDF, TXT, MS Word, PowerPoint, Excel, HTM 및 HTML. 연결된 리소스가 있는 HTML 파일을 업로드하려면, 업로드 전에 상대적으로 연결된 리소스와 함께 ZIP 파일로 압축하십시오.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
filestring · binaryOptional

로컬 파일 위치

hashtagsstring[]Optional

업로드 파일의 해시태그

footerTitlestringOptional

업로드된 파일의 검색 결과에 대한 출처를 바닥글로 입력할 수 있습니다. 바닥글 텍스트는 검색 결과의 '출처' 옆에 나타납니다.

footerUrlstringOptional

footerTitle에 연결하려는 URL을 넣을 수 있습니다.

parentFolderIdstringOptional

업로드할 대상 폴더 ID입니다. 최상위 수준에 삽입하려면 Null로 설정합니다.

allowOtherAgentsViewbooleanOptional

다른 에이전트가 이 문서를 볼 수 있도록 허용할지 여부

allowOtherUsersViewbooleanOptional

다른 유저가 이 문서를 볼 수 있도록 허용할지 여부

useLayoutbooleanOptional

Whether to use layout processing for improved document ingestion. If null, project setting will be used.

useImageDescriptionbooleanOptional

Whether to use image description for improved document ingestion. If null, project setting will be used.

Responses
200

파일 업로드 성공

application/json
post/webapi/upload_file
POST /webapi/upload_file HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 248

{
  "file": "binary",
  "hashtags": [
    "text"
  ],
  "footerTitle": "text",
  "footerUrl": "text",
  "parentFolderId": "text",
  "allowOtherAgentsView": true,
  "allowOtherUsersView": true,
  "useLayout": true,
  "useImageDescription": true,
  "properties": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "result": {
    "id": "text",
    "file_name": "text",
    "hashtags": [
      "text"
    ],
    "footer": "text"
  }
}

S3에서 문서 업로드

post
/webapi/upload_from_s3

이 API는 S3에 저장된 문서를 Cognitive Search로 전송할 수 있게 합니다. 이 문서들은 대시보드에 지식베이스 문서로 표시됩니다. 사용 가능한 파일 형식은 "문서 업로드" 섹션과 동일합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
pathstringOptional

파일의 S3 경로. 파일 이름으로 끝나야 합니다. 버킷 이름은 포함하지 마세요.

secretKeystringOptional

귀하의 S3 비밀 키.

accessKeystringOptional

당신의 S3 액세스 키.

bucketstringOptional

파일을 포함하는 S3 버킷의 이름입니다.

footerTitlestringOptional

업로드된 파일의 검색 결과에서 정답의 출처를 각주로 작성할 수 있습니다. 각주 텍스트는 검색 결과에서 '출처' 옆에 나타납니다.

footerUrlstringOptional

당신이 연결하고 싶은 URL을 footerTitle에 넣을 수 있습니다.

hashtagsstring[]Optional

문서의 해시태그.

parentFolderIdstringOptional

업로드할 타겟 폴더 ID. 최상위 수준에 삽입하려면 null로 설정합니다.

Responses
200

S3에서 파일이 성공적으로 업로드되었습니다.

application/json
post/webapi/upload_from_s3
POST /webapi/upload_from_s3 HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "path": "text",
  "secretKey": "text",
  "accessKey": "text",
  "bucket": "text",
  "footerTitle": "text",
  "footerUrl": "text",
  "hashtags": [
    "text"
  ],
  "parentFolderId": "text",
  "properties": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "result": {
    "id": "text",
    "file_name": "text",
    "hashtags": [
      "text"
    ],
    "footer": "text"
  }
}

문서 상태 확인

get
/webapi/check_file_status

API를 통해 문서를 업로드하면, 변환, 구문 분석 및 벡터로 임베딩됩니다. 이 API는 업로드 중인 문서의 프로세스 상태를 보여줍니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
idstringRequired

The document id to check the status

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

파일 상태를 성공적으로 가져왔습니다.

application/json
get/webapi/check_file_status
GET /webapi/check_file_status?id=text HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "id": "text",
    "status": "text",
    "errorName": "text"
  }
}

문서 이름 변경 (지식베이스)

post
/webapi/update_kb_name

이 API는 업로드된 문서의 이름을 업데이트할 수 있습니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
idstringOptional

변경하려는 문서 ID.

filenamestringOptional

지정된 문서의 새 이름.

Responses
200

지식베이스 이름이 성공적으로 업데이트되었습니다.

application/json
post/webapi/update_kb_name
POST /webapi/update_kb_name HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "id": "text",
  "filename": "text"
}
{
  "result": {
    "id": "text",
    "filename": "text"
  }
}

제목으로 문서 검색

get
/webapi/search_document_by_title

이 API는 문서의 내용이 아닌 제목으로 문서를 검색할 수 있게 합니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
querystringRequired

문서를 제외할 해시태그의 쉼표로 구분된 목록.

hashtagsstringOptional

Semantic matching에 벡터 검색을 사용하려면 'true'로 설정하고, 텍스트 기반 검색을 사용하려면 'false'로 설정합니다.

combinedHashtagsstringOptional

결과를 정렬할 속성 필드.

excludingHashtagsstringOptional

결과를 정렬할 방향(오름차순 또는 내림차순).

useVectorstringOptional

페이지네이션을 위한 생략된 결과 수.

sortKeystringOptional

반환할 최대 결과 수.

sortDirectionstring · enumOptional

The direction to sort results in (ascending or descending).

Possible values:
offsetintegerOptional

Number of results to skip for pagination.

limitintegerOptional

Maximum number of results to return.

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

제목으로 문서를 성공적으로 검색했습니다.

application/json
get/webapi/search_document_by_title
GET /webapi/search_document_by_title?query=text HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": [
    {
      "id": "text",
      "file_name": "text",
      "page_count": 1,
      "download_url": "text",
      "hashtags": [
        "text"
      ],
      "score": 1,
      "folder": "text",
      "agentEditor": [
        "text"
      ],
      "agentViewer": [
        "text"
      ]
    }
  ]
}

문서 삭제

post
/webapi/delete_file

이 API는 업로드된 파일을 삭제할 수 있게 해줍니다.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
idsstring[]Optional

배열 형식으로 삭제하려는 문서 ID들

Responses
200

파일이 성공적으로 삭제되었습니다.

application/json
errorsobject · nullableOptional

삭제가 실패하면, 여기에 오류 메시지가 포함될 것입니다.

post/webapi/delete_file
POST /webapi/delete_file HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "ids": [
    "text"
  ]
}
{
  "result": {
    "ok": true
  },
  "errors": {}
}

List Documents

get
/webapi/knowledge_bases

This API lets you list out the uploaded documents.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
hashtagsSearchOperatorstring · enumOptional

Either AND or OR, logical operator used to match multiple hashtags. Defaults to OR.

Default: ORPossible values:
statusbooleanOptional

The on/off status of the document to filter the list.

searchTermstringOptional

Keyword search query to filter the list. You can use operators to run advanced searches. "TERM1 TERM2" for AND, "TERM1 OR TERM2" for OR, and "TERM\ for exact match.

hashtagsstring[]Optional

Hashtag information to filter the list.

orderstring · enumOptional

The order type of the list. FILE_NAME_ASC/DESC for file name, TYPE_ASC/DESC for file type, STATUS_ASC/DESC for on/off status, CREATED_AT_ASC/DESC for upload date.

Possible values:
offsetintegerOptional

offset allows you to specify the ranking number of the first item on the page.

limitinteger · min: 1 · max: 100Optional

limit allows you to set the number of objects returned on one page. The maximum value is 100.

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successfully retrieved list of documents

application/json
errorsobject · nullableOptional

Error information if the request fails

get/webapi/knowledge_bases
GET /webapi/knowledge_bases HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "items": [
      {
        "id": "text",
        "fileName": "text",
        "hashtags": [
          "text"
        ],
        "autoHashtags": [
          {}
        ],
        "folder": "text",
        "agentEditor": [
          "text"
        ],
        "agentViewer": [
          "text"
        ],
        "userViewer": {
          "variables": {}
        },
        "allowOtherAgentsView": true,
        "allowOtherUsersView": true
      }
    ]
  },
  "errors": {}
}

Preview Documents

get
/webapi/knowledge_base_preview

This API lets you preview the uploaded documents.

Authorizations
API-KEYstringRequired

Your API key for authentication

Query parameters
idstringRequired

The document ID that you want to preview

pageNostringRequired

Pages of the document you want to preview

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Responses
200

Successfully retrieved document preview

application/json
errorsobject · nullableOptional

Error information if the request fails

get/webapi/knowledge_base_preview
GET /webapi/knowledge_base_preview?id=text&pageNo=text HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Accept: */*
{
  "result": {
    "totalPageCount": 1,
    "pageNo": 1,
    "css": "text",
    "body": "text",
    "highlightIndexes": [
      1
    ],
    "exactAnswer": "text",
    "pdf": "text",
    "draftjs": "text",
    "highlights": {
      "indexes": [
        1
      ],
      "pageIndexes": [
        1
      ],
      "__typename": "text"
    },
    "knowledgeBase": {
      "id": "text",
      "title": "text",
      "__typename": "text"
    },
    "__typename": "text"
  },
  "errors": {}
}

Update Documents

post
/webapi/update_document

This API lets you update hashtags, footer title, and footer title link for a document.

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
idstringRequired

The id of the document you want to update

footerTitlestringOptional

You can type in the source of the answer as a footer for search results from the uploaded file. The footer text will appear next to 'From' in search results.

footerUrlstringOptional

You can put the URL you want to link to the footerTitle.

folderstringOptional

You can assign the destination folder for document upload.

followFolderPermissionbooleanOptional

Whether to follow the folder's permission settings.

agentsEditorstring[]Optional

Specify agents that have editor permissions for the file.

agentsViewerstring[]Optional

Specify agents that have viewer permissions for the file.

allowOtherAgentsViewbooleanOptional

Agents not included in viewers/editors can also view the document.

allowOtherUsersViewbooleanOptional

Users not included in viewers/editors can also view the document.

hashtagsstring[]Optional

List of string hashtags you want to add to the document

Responses
200

Document updated successfully

application/json
errorsobject · nullableOptional

Error information if the request fails

post/webapi/update_document
POST /webapi/update_document HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 334

{
  "id": "text",
  "footerTitle": "text",
  "footerUrl": "text",
  "folder": "text",
  "followFolderPermission": true,
  "agentsEditor": [
    "text"
  ],
  "agentsViewer": [
    "text"
  ],
  "userViewer": {
    "customer_id": [
      "text"
    ],
    "customer_group": [
      "text"
    ]
  },
  "allowOtherAgentsView": true,
  "allowOtherUsersView": true,
  "hashtags": [
    "text"
  ],
  "properties": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "result": {
    "knowledgeBase": {
      "id": "text",
      "hashtags": [
        "text"
      ],
      "footer": "text"
    }
  },
  "errors": {}
}

Knowledge Base Toggle Status

post
/webapi/toggle_documents

This API lets you change the status of many documents (AKA knowledge bases) at once

Authorizations
API-KEYstringRequired

Your API key for authentication

Header parameters
AGENT-EMAILstringOptional

Optional: Email of the agent to use for this request

USER-EMAILstringOptional

Optional: Email address to associate with the user

OWN-USER-IDstringOptional

Optional: User ID to identify or create a user

Body
usebooleanRequired

Whether to turn all the status of all the knowledge bases to on (True) or off (False)

idsstring[]Required

This is a list of the ids of the knowledge bases that you want to toggle.

Responses
200

Knowledge base statuses toggled successfully

application/json
errorsobject · nullableOptional

Error information if the request fails

post/webapi/toggle_documents
POST /webapi/toggle_documents HTTP/1.1
Host: backend.alli.ai
API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "use": true,
  "ids": [
    "text"
  ]
}
{
  "result": {
    "knowledgeBases": [
      {
        "id": "text",
        "status": true
      }
    ]
  },
  "errors": {}
}

Last updated